<?php


use Phpmailer\PHPMailer\PHPMailer;
use Phpmailer\PHPMailer\Exception;
use Phpmailer\PHPMailer\SMTP;



require 'Phpmailer/Exception.php';
require 'Phpmailer/PHPMailer.php';
require 'Phpmailer/SMTP.php';
require_once 'ipClass.php';




class enviar extends recuperarIp {

 //$recIp= new recuperarIp;

private $nom;
private $cognom;
private $correu; 
private $missatge;
private $ip;


public function enviarCorreu($postBody){

    $mail = new PHPMailer(true);
   

    $dadesForm=json_decode($postBody,true);


    //Comprova que arriben tots els camps.
    if(isset($dadesForm['nom']) || isset($dadesForm['cognom'])|| isset($dadesForm['correu']) || isset($dadesForm['missatge'])){

     

$ip=parent::getIp();
$nom=$dadesForm['nom'];
$cognom=$dadesForm['cognom'];
$correu=$dadesForm['correu'];
$missatge=$dadesForm['missatge'];


//Elimina els espais en blanc dels camps.
$ip=trim($ip);
$nom=trim($nom);
$correu=trim($correu);
$missatge=trim($missatge);


//Elimina caràcters especials.
$ip=filter_var($ip,FILTER_SANITIZE_STRING);
$nom=filter_var($nom,FILTER_SANITIZE_STRING);
$correu=filter_var($correu, FILTER_SANITIZE_EMAIL);
$missatge=filter_var($missatge, FILTER_SANITIZE_STRING);

//Comprova que els camps no arriben buits.
if(empty($nom)){

    $error=array("missatge"=>"El nom està buit", "status"=>"0");
    return  $error;    
    
}

else if(strlen($nom)>25){

    $error=array("missatge"=>"Màxim 25 caràcters", "status"=>"0");
    return  $error; 
   
    
}else if(empty($cognom)){

    $error=array("missatge"=>"El cognom està buit", "status"=>"0");
    return  $error;    
    
}

else if(strlen($cognom)>25){

    $error=array("missatge"=>"Màxim 25 caràcters", "status"=>"0");
    return  $error; 


}else if(empty($correu)){

    $error=array("missatge"=>"El correu està buit", "status"=>"0");
    return  $error; 
   
     

}else if(!filter_var($correu, FILTER_VALIDATE_EMAIL)){

    $error=array("missatge"=>"Format de correu incorrecte", "status"=>"0");
    return  $error; 
    
    

}

else if(empty($missatge)){

    $error=array("missatge"=>"El missatge està buit", "status"=>"0");
    return  $error; 
   
    

}else if(strlen($missatge)>280){

    $error=array("missatge"=>"Màxim 280 caràcters", "status"=>"0");
    return  $error; 
    
    
}

else{

    //Funcions de PHP Mailer que s'encarreguen d'enviar els correus.

    $contenido="IP: " . $ip . "\n\nNom: " . $nom . "\n\nNom: " . $cognom ." \n\nCorreu: " . $correu . "\n\nMissatge: " . $missatge;

    try {
        //Server settings
        //$mail->SMTPDebug = SMTP::DEBUG_SERVER;                      //Enable verbose debug output
        $mail->isSMTP();                                            //Send using SMTP
        $mail->Host       = 'smtp.gmail.com';                     //Set the SMTP server to send through
        $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
        $mail->Username   = 'Introdueix un correu vàlid';                     //SMTP username
        $mail->Password   = 'Contrasenya del correu';                               //SMTP password
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            //Enable implicit TLS encryption
        $mail->Port       = 465;                                    //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`
        
        //Recipients
        $mail->setFrom('Introdueix un correu vàlid', 'Recicla');
        $mail->addAddress('Introdueix un correu vàlid', 'Recicla');     //Add a recipient
        
        
        
        //Content
        //$mail->isHTML(true);                                  //Set email format to HTML
        $mail->Subject = 'Contacte';
        //$mail->Body    = 'mensaje de prueba';
        $mail->Body    = $contenido;
        //$mail->AltBody = 'This is the body in plain text for non-HTML mail clients';
        
        $mail->send();

        $status=array("missatge"=>"El correu s'ha enviat correctament", "status"=>"1");
        return  $status; 
        
        
        } catch (Exception $e) {

            $error=array("missatge"=>"Error en enviar el correu", "status"=>"0");
            return  $error; 
        
        
        }

        
    }

   
      
}else{

    $error=array("missatge"=>"Valors inexistents", "status"=>"0");
    return $error;
}

}
    
}
?>