<?php


require_once "classes/connexio/connexio.php";
 
 


class prodGenerics extends connexio{


    /*Funció que busca dins de la taula generics el codi i la descripció filtrats pel material 
    i retorna les dades.*/

    public function llistaSenseCodi($postBody){

        $dadesForm=json_decode($postBody,true);

        if(isset($dadesForm['material'])){

        $material=filter_var($dadesForm['material'],FILTER_SANITIZE_SPECIAL_CHARS);
        

        $query= "SELECT codi,descripcio FROM generics WHERE material='" . $material. "'";
        //print_r($query);
        $dades=(parent::getDades($query));
        if($dades){

            $resultat=array("dades"=>$dades,"missatge"=>"Elements descarregats correctament", "status"=>"1");

                 return  $resultat;
             
    
        }else{
    
            $error=array("missatge"=>"No existeixen elements", "status"=>"1");
            return $error;
            
        }
   

      }else{

          $error=array("missatge"=>"No existeixen els camps", "status"=>"0");
          return $error;

      }
       
        
    }

    //Funció que busca si el codi existeix a la taula generics i retorna les dades.
     
    public function buscarCodi($req){

        if(isset($req)){

        $codi=filter_var($req,FILTER_SANITIZE_SPECIAL_CHARS);

        $query="SELECT generics.codi, generics.descripcio,generics.material,valors.valor 
        FROM generics,valors where generics.material=valors.material and generics.codi=" . $codi;
        $dades=(parent::getDades($query));
        if($dades){

            $status=array("dades"=>$dades, "missatge"=>"Producte descarregat correctament", "status"=>"1");
            return $status;

             
    
        }else{
    
            $error=array("missatge"=>"No existeix el codi", "status"=>"1","valor"=>"0");
            return $error;
            
        }
   

      }else{

          $error=array("missatge"=>"El codi no existeix", "status"=>"0");
          return $error;

      }
       
        
    }



}




?>