<?php


require_once "classes/connexio/connexio.php";
 
 

class productes extends connexio{

     
    public function buscarCodi($req){

        if(isset($req)){

        $codi=filter_var($req,FILTER_SANITIZE_SPECIAL_CHARS);

        
        $query="SELECT productes.codi, productes.descripcio,productes.pes,productes.material,valors.valor 
        FROM productes,valors where productes.material=valors.material and productes.codi=" . $codi;
        $dades=(parent::getDades($query));
        if($dades){


          $status=array("dades"=>$dades, "missatge"=>"Producte descarregat correctament", "status"=>"1");
          return $status;
         
             
    
        }else{
    
            $error=array("missatge"=>"No existeix el codi", "status"=>"1","valor"=>"0");
            return $error;
            
        }
   

      }else{

          $error=array("missatge"=>"El codi no existeix", "status"=>"0");
          return $error;

      }
       
        
    }

    public function crearProducte($postBody){

      $dadesForm=json_decode($postBody,true);

       //Comprova si existeixen els valors.
       if(!isset($dadesForm['codi']) ||!isset($dadesForm['descripcio']) || !isset($dadesForm['pes']) || !isset($dadesForm['material'])){
 
         $error=array("missatge"=>"Valors inexistents", "status"=>"0");
             echo json_encode($error,JSON_UNESCAPED_UNICODE); 
       }else{
 
         $codi=filter_var($dadesForm['codi'],FILTER_SANITIZE_SPECIAL_CHARS);
         $descripcio=filter_var($dadesForm['descripcio'],FILTER_SANITIZE_SPECIAL_CHARS);
         $pes=filter_var($dadesForm['pes'],FILTER_SANITIZE_SPECIAL_CHARS);
         $material=filter_var($dadesForm['material'],FILTER_SANITIZE_SPECIAL_CHARS);
 
         //Guarda el nou producte a la base de dades.

         $query= "INSERT INTO productes (codi, descripcio, pes, material) VALUES ('".$codi."','" .$descripcio."', $pes,'" .$material."')";
         $llista=$this->setDades($query);
         //print_r($query);
        
         
         if($llista>0){
 
          $status=array("missatge"=>"Producte creat correctament", "status"=>"1");
          return  $status;   
 
         
         }else{
 
             $error=array("missatge"=>"Error en crear el producte", "status"=>"0");
             return  $error;   
 
         }
         
       }




    }



}




?>