<?php 

require_once "classes/connexio/connexio.php";
 
 

class usuari extends connexio{

     private $nif;
     private $nom;
     private $cognom1;
     private $cognom2;
     private $adre; 
     private $cpostal;
     private $contra;
     private $correu;


     

    //////////////////////////////////// POST//////////////////////////////////////////////////

    //Funció que rep les dades retorna les dades de l'usuari de la taula usuaris.

    public function dadesUsuari($postBody){
       //print_r($postBody);
      
      $dadesForm=json_decode($postBody,true);
     
      //Comprova si existeixen els valors.
      if(!isset($dadesForm['userId'])){

        $error=array("missatge"=>"Valors inexistents", "status"=>"0");
            echo json_encode($error,JSON_UNESCAPED_UNICODE); 

      }else{
          
        $userId=filter_var($dadesForm['userId'],FILTER_SANITIZE_SPECIAL_CHARS);


        $query1= "SELECT nif, nom, cognom1, cognom2, adre, cpostal, contra, correu FROM usuaris WHERE userId='" . $userId ."'";
        $dades=(parent::getDades($query1));


        if($dades){

          //Guarda la contrasenya actual a la variable contra.
          $this->contra= $dades[0]['contra'];
          $resposta=array("dades"=>$dades, "missatge"=>"Dades descarregades correctament", "status"=>"1");
          return  $resposta;   
           

        
        }else{

            $error=array("missatge"=>"Error descarrega dades d'usuari", "status"=>"0");
            return  $error;   

        }
        
      }
  
    }


     ////////////////////////////////////PUT//////////////////////////////////////////////////  

      //Funció que actualitza les dades dels usuaris.
      
      public function modificarUsuari($postBody){

        $dadesForm=json_decode($postBody,true);

         //Comprova si existeixen els valors.
       if(!isset($dadesForm['nif']) ||!isset($dadesForm['nom']) || !isset($dadesForm['cognom1']) || !isset($dadesForm['cognom2'])||
       !isset($dadesForm['adre']) || !isset($dadesForm['cpostal'])|| !isset($dadesForm['contra'])|| !isset($dadesForm['correu'])){
 
         $error=array("missatge"=>"Valors inexistents", "status"=>"0");
             echo json_encode($error,JSON_UNESCAPED_UNICODE); 
       }else{
 
         $this->nif=filter_var($dadesForm['nif'],FILTER_SANITIZE_SPECIAL_CHARS);
         $this->nom=filter_var($dadesForm['nom'],FILTER_SANITIZE_SPECIAL_CHARS);
         $this->cognom1=filter_var($dadesForm['cognom1'],FILTER_SANITIZE_SPECIAL_CHARS);
         $this->cognom2=filter_var($dadesForm['cognom2'],FILTER_SANITIZE_SPECIAL_CHARS);
         $this->adre=filter_var($dadesForm['adre'],FILTER_SANITIZE_SPECIAL_CHARS);
         $this->cpostal=filter_var($dadesForm['cpostal'],FILTER_SANITIZE_SPECIAL_CHARS);
         $this->correu=filter_var($dadesForm['correu'],FILTER_SANITIZE_EMAIL);
         $userId=filter_var($dadesForm['userId'],FILTER_SANITIZE_SPECIAL_CHARS);

         //Evita que es torni a encriptar la contrasenya si aquesta no ha canviat.
         $contraForm=$dadesForm['contra'];
         $contraBase=$this->contraIgual($userId);
         //Si la contrasenya és la mateixa que la que es troba a la base, no la torna a encriptar.
         if($contraForm==$contraBase[0]['contra']){
          $this->contra=$contraForm;
         //Si és diferent encripta la nova contrasenya i la guarda a la base. 
         }else{
          $contraEncrip=password_hash($contraForm, PASSWORD_DEFAULT);
          $this->contra=$contraEncrip;
         }
        
               
        $query= "UPDATE usuaris SET adre='". $this->adre ."',cpostal='". $this->cpostal ."',contra='". $this->contra . 
        "' WHERE correu='" . $this->correu ."' AND userId='" . $userId ."'";
                
          $insertDades=(parent::setDades($query));

           if($insertDades >0){

            $status=array("missatge"=>"Usuari actualitzat correctament", "status"=>"1");
             return $status;
            
        }else{
            
              $error=array("missatge"=>"Usuari no actualitzat", "status"=>"1");
               return  $error;    
        }
                    
    }
      
   
     }

     //Funció que retorna la contrasenya actual emmagatzemada a la taula usuaris.

     private function contraIgual($userId){

      $query= "SELECT contra FROM usuaris WHERE userId='" . $userId ."'";
      $contra=(parent::getDades($query));
      return $contra;
     }


}


?>