<?php

header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Methods: PUT, GET, POST, DELETE, OPTIONS');
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept, Authorization");
header('content-type: application/json; charset=utf-8');

require_once 'classes/taxesClass.php';
require_once 'classes/verificaAcces.php';




$_taxes = new taxes ;
$verificaToken= new verifica;

///////////////////////////////MÈTODE POST//////////////////////////////////////////////////

//Mètode que retorna les taxes associades a cada usuari.

if($_SERVER['REQUEST_METHOD']=='POST'){

    $postBody=file_get_contents("php://input");
    $dadesForm=json_decode($postBody,true);
    //Verifica que el token enviat existeix en la base de dades.
   
    $authToken=$dadesForm['token'];
    $userId=$dadesForm['userId'];
    
    $resVerificaToken=$verificaToken->acces($authToken, $userId);

    //Si el token és correcte, busca les taxes associades a l'usuari a la base de dades.
    if($resVerificaToken){

        $dades = $_taxes->llistaTaxes($postBody);
        echo json_encode($dades,JSON_UNESCAPED_UNICODE); 
       


    }else{

        //Retorna missatge d'error.

        $error=array("missatge"=>"Identificació incorrecta", "status"=>"0");
        echo json_encode($error);


    }

}else{  

    $error=array("missatge"=>"El mètode utilitzat no és correcte", "status"=>"0");
    echo json_encode($error,JSON_UNESCAPED_UNICODE);  

}

    ?>