//NEWSAPI.ORG
/*export interface ResNoticies {
  status: string;
  totalResults: number;
  articles: Article[];
}

export interface Article {
  source: Source;
  author?: string;
  title: string;
  description: string;
  url: string;
  urlToImage?: string;
  publishedAt: string;
  content?: string;
}

export interface Source {
  id?: string;
  name: string;
}*/
//Interface que conté tots els elements que retorna l'API de notícies.

//MEDIASTACK.COM

export interface ResNoticies {
  pagination: Pagination;
  data: Article[];
}

export interface Article {
  author?: string;
  title: string;
  description: string;
  url: string;
  source: string;
  image?: string;
  category: string;
  language: string;
  country: string;
  //published_at: string;
}

export interface Pagination {
  limit: number;
  offset: number;
  count: number;
  total: number;
}
