import { Component, OnInit } from '@angular/core';
import { Article } from 'src/app/interfaces/interfaces';
import { NoticiesService } from 'src/app/services/noticies.service';

@Component({
  selector: 'app-inici',
  templateUrl: './inici.page.html',
  styleUrls: ['./inici.page.scss'],
})
export class IniciPage implements OnInit {
  noticies: Article[] = [];
  constructor(private noticiesService: NoticiesService) {}

  ngOnInit() {
    //Demana a noticiesService les notícies en iniciar la pàgina i les emmagatzema en un Array.
    this.noticiesService.getNoticies().subscribe((res) => {
      console.log(res);
      this.noticies.push(...res.data);
    });
  }
}
