import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class CrearProducteService {
  api = environment.apiConnexio + 'productes.php';

  constructor(private http: HttpClient) {}

  //Funció que envia el nou producte a l'API.
  crearProducte(form: any): Observable<any> {
    //console.log(form);
    return this.http.put(this.api, form);
  }
}
