import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class DadesService {
  api = environment.apiConnexio + 'usuari.php';

  constructor(private http: HttpClient) {}

  //Mètode POST que crida a l'API per demanar les dades de l'usuari.

  postUsuari(): Observable<any> {
    return this.http.post(this.api, '');
  }

  putUsuari(form: any): Observable<any> {
    return this.http.put(this.api, form);
  }
}
