import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class QrService {
  api = environment.apiConnexio + 'validaQR.php';
  codiValidacioQr = '';

  constructor(private http: HttpClient) {}

  //Mètode PUT que crida a l'API per enviar el número de validació del codi QR.

  putValidarQR(form: any): Observable<any> {
    return this.http.put(this.api, form);
  }
}
