import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class RecuperarService {
  api = environment.apiConnexio + 'recupera.php';

  constructor(private http: HttpClient) {}

  //Funció que crida a l'API amb el correu electrònic per crear la validació.

  postCorreu(form: any): Observable<any> {
    return this.http.post(this.api, form);
  }
}
