import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class RegistreService {
  api = environment.apiConnexio + 'registre.php';

  constructor(private http: HttpClient) {}

  //Mètode POST que crida a l'API per inserir usuaris a la base.
  postUsuaris(form: any): Observable<any> {
    return this.http.post(this.api, form);
  }
}
