<?php

class connexio {

    private $connexio;
    private $host;
    private $user;
    private $pass;
    private $bd;  
    
    


    function __construct()
    {

        $dConnexio=$this->dadesConnexio();
        foreach ($dConnexio as $key => $value){

            $this->host = $value["host"];
            $this->user = $value["user"];
            $this->pass = $value["pass"];
            $this->bd = $value["bd"];


        }

        $this->connectar_BD();
       
        
    }



    private function dadesConnexio(){
        
        $dades= dirname(__FILE__);
        $jsonData= file_get_contents($dades ."/" . "config");
        return json_decode($jsonData, true);
       
    }

    

    public function connectar_BD()
    {
        $res = true;
        $this->connexio = mysqli_connect ($this->host, $this->user,
        $this->pass, $this->bd);
        mysqli_set_charset($this->connexio,"utf8");
        if (!$this->connexio)
        {
            $res = false;
            die("No s'ha pogut realitzar la connexió. ERROR:" .
            mysqli_connect_error());
        }
        return $res;
    }

     //Desconnecta de la base de dades.
     public function desconnectar_BD()
     {
         if (isset($this->connexio))
         {
             mysqli_close($this->connexio);
         }
     }

    //Executa la petició i retorna les dades.
    public function getDades($sql){
       
        
        $results=$this->connexio->query($sql);

          
        
            $resultArray= array();
            foreach($results as $key){
                $resultArray[]=$key;   
            }

                return($resultArray);
    }

    
    //Executa la petició i guarda les dades.
    public function setDades($sql){
       
        $results=$this->connexio->query($sql);
        return $this->connexio->affected_rows;     
        
            
    }

    
    
}

?>