<?php 

require_once "classes/connexio/connexio.php";
 
 

class modContra extends connexio{

     
     private $correu;
     private $validacio;
     private $contra;

     

    //////////////////////////////////// POST//////////////////////////////////////////////////

    //Funció que rep les dades del formulari i comprova la coincidència dels camps amb la taula recuperarcontra.

    public function dadesValidacio($postBody){
       //print_r($postBody);
      
      $dadesForm=json_decode($postBody,true);
     
      //Comprova si existeixen els valors.
      if(!isset($dadesForm['correu'])|| !isset($dadesForm['codiRebut'])){

        $error=array("missatge"=>"Valors inexistents", "status"=>"0");
            echo json_encode($error,JSON_UNESCAPED_UNICODE); 

      }else{
          
        $this->correu=filter_var($dadesForm['correu'],FILTER_SANITIZE_SPECIAL_CHARS);
        $this->validacio=filter_var($dadesForm['codiRebut'],FILTER_SANITIZE_SPECIAL_CHARS);


        $query1= "SELECT correu FROM recuperarcontra WHERE validacio='" . $this->validacio . "' AND correu='" . $this->correu ."'";
        $dades=(parent::getDades($query1));


        if($dades){

                //Compara la data actual amb la data de creació per establir la caducitat.
                
                $dataActual=date("Y-m-d H:i");
                $queryCaducitat= "SELECT * FROM recuperarcontra WHERE TIMESTAMPDIFF(MINUTE, data,TIMESTAMP('" . $dataActual ."'))<15";//minuts
                //print_r($queryCaducitat);
                $dadesCaducitat=(parent::getDades($queryCaducitat));

                    if($dadesCaducitat){

                        $status=array("missatge"=>"Validació correcta", "status"=>"1");
                        return  $status;  

                    }else{

                        $error=array("missatge"=>"Codi caducat", "status"=>"0");
                        return  $error; 


                    }

        
        }else{

            $error=array("missatge"=>"Error en la validació", "status"=>"0");
            return  $error;   

        }
        
      }
  
    }


     ////////////////////////////////////PUT//////////////////////////////////////////////////  

      //Funció que actualitza les dades dels usuaris.
      
      public function modificarContra($postBody){

        $dadesForm=json_decode($postBody,true);

         //Comprova si existeixen els valors.
       if(!isset($dadesForm['correu'])||!isset($dadesForm['contra'])){
 
         $error=array("missatge"=>"Valors inexistents", "status"=>"0");
             echo json_encode($error,JSON_UNESCAPED_UNICODE); 
       }else{
 
         
         $this->correu=filter_var($dadesForm['correu'],FILTER_SANITIZE_EMAIL);
        
        
          $contraForm=$dadesForm['contra'];
          $contraEncrip=password_hash($contraForm, PASSWORD_DEFAULT);
          $this->contra=$contraEncrip;
      
               
        $query= "UPDATE usuaris SET contra='". $this->contra . 
        "' WHERE correu='" . $this->correu ."'";
        //print_r($query);
                
          $insertDades=(parent::setDades($query));

           if($insertDades >0){

            $status=array("missatge"=>"Contrasenya actualitzada correctament", "status"=>"1");
             return $status;
            
        }else{
            
              $error=array("missatge"=>"Contrasenya no actualitzada");
               return  $error;    
        }
                    
    }
      
   
     }

  

}


?>