<?php


require_once "classes/connexio/connexio.php";
 
 

class notificacions extends connexio{

     private $id;
     private $userId;
     private $llegit;
     

     /////////////////////////////////////////GET////////////////////////////////////////////////////////////

      //Funció que llista totes les notificacions de l'usuari de la taula notificacions
      public function getNotificacions($userId){
        $query="SELECT * FROM notificacions WHERE userId= $userId";
        $dades=(parent::getDades($query));
        //print_r($query);

        if($dades){
          $query1="SELECT COUNT(*) FROM notificacions WHERE userId= $userId AND llegit='no'";
          $dades1=(parent::getDades($query1));
          //print_r($query1);
          $noLlegits=(($dades1[0]['COUNT(*)']));
          $status=array("missatge"=>"Notificacions descarregades correctament","dades"=>$dades, "status"=>"1", "noLlegits"=>$noLlegits);
           return $status;
           
        }else{

          $error=array("missatge"=>"No tens notificacions disponibles", "status"=>"1", "valor"=>"0");
               return  $error;   


        }
       
      }

    //////////////////////////////////// POST//////////////////////////////////////////////////


    //Funció que canvia l'estat de les notificacions quan aquestes han sigut llegides.

    public function postNotificacions($postBody){
       //print_r($postBody);
      
      $dadesForm=json_decode($postBody,true);
     
      //Comprova si existeixen els valors.
      if(!isset($dadesForm['id'])|| !isset($dadesForm['userId']) || !isset($dadesForm['llegit'])){

        $error=array("missatge"=>"Valors inexistents", "status"=>"0");
            return $error;
      }else{

        $this->id=filter_var($dadesForm['id'],FILTER_SANITIZE_SPECIAL_CHARS);
        $this->userId=filter_var($dadesForm['userId'],FILTER_SANITIZE_SPECIAL_CHARS);
        $this->llegit=filter_var($dadesForm['llegit'],FILTER_SANITIZE_SPECIAL_CHARS);
        


          $dades=$this->modEstat();
          return $dades;   

        }
        
    }

    
      //Funció que actualitza les dades de la taula notificacions en el cas que el missatge hagi estat llegit.
      
      public function modEstat(){

               
        $query= "UPDATE notificacions SET llegit='". $this->llegit .
        "' WHERE id='" . $this->id ."' AND userId='" . $this->userId ."'";
                
          $insertDades=(parent::setDades($query));

           if($insertDades >0){

            $status=array("missatge"=>"Marcat com a llegit", "status"=>"1");
             return $status;
            
        }else{
            
              $error=array("missatge"=>"Missatge llegit", "status"=>"1");
               return  $error;    
        }
                    

      }

       

      ///////////////////////////////////////////////DELETE//////////////////////////////////////////////

      function deleteNotificacions($postBody){

        $dades=json_decode($postBody,true);
        
       

        if(!isset($dades['id']) || !isset($dades['userId']) ){

          $error=array("missatge"=>"Error en eliminar notificació", "status"=>"0");
          return  $dades; 

        }else{

          $id=$dades['id'];
          $userId=$dades['userId'];
          $query= "DELETE FROM notificacions WHERE id= $id AND userId= $userId" ; 
          $deleteDades=parent::setDades($query);
          //print_r($deleteDades);

          };
          

          if($deleteDades >0){

            $status=array("missatge"=>"Notificació eliminada correctament", "status"=>"1");
             return $status;

          }else{

            $error=array("missatge"=>"Error en eliminar notificació", "status"=>"0");
            return  $error;   

          }
          
        }

        


      }
                

              
              
               
            
              
         
             
       


        

    








?>