<?php
use Phpmailer\PHPMailer\PHPMailer;
use Phpmailer\PHPMailer\Exception;
use Phpmailer\PHPMailer\SMTP;



require 'Phpmailer/Exception.php';
require 'Phpmailer/PHPMailer.php';
require 'Phpmailer/SMTP.php';
require_once "classes/connexio/connexio.php";





class recuperar extends connexio{


    private $correu; 
    private $validacio;

    //Funció que comprova que el correu de l'usuari existeix a la base de dades.

    public function buscarUsuari($req){

        if(isset($req)){

        $this->correu=filter_var($req,FILTER_SANITIZE_EMAIL);

        $query= "SELECT userId FROM usuaris WHERE correu= '" . $this->correu. "'";
        //print_r($query);
        $dades=(parent::getDades($query));
        if($dades){

                $codi=$this->crearValidacio();
                $this->validacio=$codi;
                //print_r($this->validacio);


          if($codi){
              
            $correuEnviat=$this->enviarCorreu();
            return $correuEnviat;


          }else{

            $error=array("missatge"=>"No s'ha generat la validació", "status"=>"0");
            return $error;


          }
         
             
    
        }else{
    
            $error=array("missatge"=>"No existeix el correu", "status"=>"0");
            return $error;
            
        }
   

      }else{

          $error=array("missatge"=>"No existeix el correu", "status"=>"0");
          return $error;

      }
       
        
    }


    //Funció que crea el codi d'validació.

    private function crearValidacio(){


        //Genera el codi.
       
        $validacio=rand(10000,100000);
       
    
        //Guarda el codi a la base de dades.
        
        $data=date("Y-m-d H:i");
        $query="REPLACE INTO recuperarcontra (correu,validacio,data) VALUES ('$this->correu','$validacio','$data')";
        //print_r($query);
        $verificar= parent::setDades($query);
        if($verificar>0){
            
            return $validacio;

        }else{

            return 0;
        }



    }


//Funció que envia el correu en el cas que el correu de l'usuari es trobi a la base de dades.

private function enviarCorreu(){

    $mail = new PHPMailer(true);
   

    //Funcions de PHP Mailer que s'encarreguen d'enviar els correus.

    $contenido="El codi de verificació pel teu canvi de contrasenya és el:\n\n $this->validacio 
    \nAquest codi té una validesa de 15 minuts." ;

    try {
        //Server settings
        //$mail->SMTPDebug = SMTP::DEBUG_SERVER;                     //Enable verbose debug output
        $mail->isSMTP();                                            //Send using SMTP
        $mail->Host       = 'smtp.gmail.com';                       //Set the SMTP server to send through
        $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
        $mail->Username   = 'Introdueix correu vàlid';                   //SMTP username
        $mail->Password   = 'Introdueix contrasenya correu';             //SMTP password
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;            //Enable implicit TLS encryption
        $mail->Port       = 465;                                    //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`
        
        //Recipients
        $mail->setFrom('Introdueix correu vàlid', 'Recicla');
        $mail->addAddress($this->correu, $this->correu);     //Add a recipient
        
        
        
        //Content
        //$mail->isHTML(true);                                  //Set email format to HTML
        $mail->Subject = 'Canvi de contrasenya';
        //$mail->Body    = 'mensaje de prueba';
        $mail->Body    = $contenido;
        //$mail->AltBody = 'This is the body in plain text for non-HTML mail clients';
        
        $mail->send();

        $status=array("missatge"=>"El correu s'ha enviat correctament", "status"=>"1");
        return  $status; 
        
        
        } catch (Exception $e) {

            $error=array("missatge"=>"Error en enviar el correu", "status"=>"0");
            return  $error; 
        
        
        }

        
    }

    

}
    

?>