<?php


require_once "classes/connexio/connexio.php";
 
 

class registre extends connexio{

     private $nif;
     private $nom;
     private $cognom1;
     private $cognom2;
     private $adre; 
     private $cpostal;
     private $contra;
     private $correu;


     

    //////////////////////////////////// POST//////////////////////////////////////////////////

    public function registreUsuari($postBody){
       //print_r($postBody);
      
      $dadesForm=json_decode($postBody,true);
     
      //Comprova si existeixen els valors.
      if(!isset($dadesForm['nif']) ||!isset($dadesForm['nom']) || !isset($dadesForm['cognom1']) || !isset($dadesForm['cognom2'])||
      !isset($dadesForm['adre']) || !isset($dadesForm['cpostal'])|| !isset($dadesForm['contra'])|| !isset($dadesForm['correu'])){

        $error=array("missatge"=>"Valors inexistents", "status"=>"0");
            echo json_encode($error,JSON_UNESCAPED_UNICODE); 
      }else{

        $this->nif=filter_var($dadesForm['nif'],FILTER_SANITIZE_SPECIAL_CHARS);
        $this->nom=filter_var($dadesForm['nom'],FILTER_SANITIZE_SPECIAL_CHARS);
        $this->cognom1=filter_var($dadesForm['cognom1'],FILTER_SANITIZE_SPECIAL_CHARS);
        $this->cognom2=filter_var($dadesForm['cognom2'],FILTER_SANITIZE_SPECIAL_CHARS);
        $this->adre=filter_var($dadesForm['adre'],FILTER_SANITIZE_SPECIAL_CHARS);
        $this->cpostal=filter_var($dadesForm['cpostal'],FILTER_SANITIZE_SPECIAL_CHARS);
        $contraForm=filter_var($dadesForm['contra'],FILTER_SANITIZE_SPECIAL_CHARS);
        $contraEncrip=password_hash($contraForm, PASSWORD_DEFAULT);
        $this->contra=$contraEncrip;
        $this->correu=filter_var($dadesForm['correu'],FILTER_SANITIZE_EMAIL);


        //Comprova si existeix l'usuari a la base de dades.
        $llista=$this->llistarUsuaris($this->correu);

        //Si no existeix insereix el nou usuari.
        if(!$llista){

          $dadesInsert=$this->insertUsuari();
           return $dadesInsert;

        
        }else{

            $error=array("missatge"=>"L'usuari ja es troba a la base de dades", "status"=>"0");
            return  $error;   

        }
        
      }
  
    }


      //Funció que comprova si el usuari existeix a la taula usuaris.
      public function llistarUsuaris($correu){

        $query1= "SELECT userId FROM usuaris WHERE correu='" . $correu ."'";
        $dades=(parent::getDades($query1));

        if($dades){

            return $dades;

        }
    
    }

        //Funció que insereix nous usuaris a la taula usuaris.
        public function insertUsuari(){

               
        $query= "INSERT INTO usuaris (nif,nom,cognom1,cognom2,adre,cpostal,contra,correu)VALUES
        ('". $this->nif . "','". $this->nom ."','". $this->cognom1 ."','". $this->cognom2 . 
        "','" . $this->adre . "','". $this->cpostal ."','". $this->contra ."','". $this->correu ."')";
        //print_r($query);
                
          $insertDades=(parent::setDades($query));
          //print_r($insertDades);
          if($insertDades>0){

             $status=array("missatge"=>"Usuari registrat correctament", "status"=>"1");
             return $status;
            
        }else{
            
            $error=array("missatge"=>"Error al registrar usuari", "status"=>"0");
            return  $error;       
         }
                    

      }


      }

?>