<?php

header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Methods: PUT, GET, POST, DELETE, OPTIONS');
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept,  Authorization");
header('content-type: application/json; charset=utf-8');

require_once 'classes/temporalClass.php';
require_once 'classes/verificaAcces.php';


$temporal = new temporal;
$verificaToken= new verifica;






if($_SERVER['REQUEST_METHOD']=='GET'){

   
    //Verifica que el token enviat existeix en la base de dades.
    //$authToken=getallheaders()['authorization'];
    $authToken=$_GET['token'];
    $userId=$_GET['userId'];
    $resVerificaToken=$verificaToken->acces($authToken, $userId);

     //Si el token és correcte, busca el codi a la base de dades.
     if($resVerificaToken){
    
    $userId=$_GET['userId'];
    $dades= $temporal->productesTemp($userId);
    echo json_encode($dades,JSON_UNESCAPED_UNICODE); 

     }else{

        //Retorna missatge d'error.

        $error=array("missatge"=>"Identificació incorrecta", "status"=>"0");
        echo json_encode($error);

     }
    
}



///////////////////////////////MÈTODE POST//////////////////////////////////////////////////



else if($_SERVER['REQUEST_METHOD']=='POST'){

    $postBody=file_get_contents("php://input");
    $dadesForm=json_decode($postBody,true);
    //Verifica que el token enviat existeix en la base de dades.
    //$authToken=getallheaders()['authorization'];
    $authToken=$dadesForm['token'];
    $userId=$dadesForm['userId'];
    $resVerificaToken=$verificaToken->acces($authToken, $userId);

    //Si el token és correcte, busca el codi a la base de dades.
    if($resVerificaToken){
    
    //$postBody=file_get_contents("php://input");
    //print_r($postBody);

    $dades = $temporal->temporalProductes($postBody);
    echo json_encode($dades,JSON_UNESCAPED_UNICODE);  

}else{

    //Retorna missatge d'error.

    $error=array("missatge"=>"Identificació incorrecta", "status"=>"0");
    echo json_encode($error);

 }
   
    
///////////////////////////////MÈTODE DELETE//////////////////////////////////////////////////

}else if($_SERVER['REQUEST_METHOD']=='DELETE'){

    $postBody=file_get_contents("php://input");
    $dadesForm=json_decode($postBody,true);
    //Verifica que el token enviat existeix en la base de dades.
    //$authToken=getallheaders()['authorization'];
    $authToken=$dadesForm['token'];
    $userId=$dadesForm['userId'];
    $resVerificaToken=$verificaToken->acces($authToken, $userId);

    //Si el token és correcte, busca el codi a la base de dades.
    if($resVerificaToken){

    //$postBody=file_get_contents("php://input");

    $dades= $temporal->deleteProductes($postBody); 
    echo json_encode($dades,JSON_UNESCAPED_UNICODE); 

}else{

    //Retorna missatge d'error.

    $error=array("missatge"=>"Identificació incorrecta", "status"=>"0");
    echo json_encode($error);

 }
    
}

else{  

        $error=array("missatge"=>"El mètode utilitzat no és correcte", "status"=>"0");
        echo json_encode($error,JSON_UNESCAPED_UNICODE);  

}
    



?>