<?php

header("Access-Control-Allow-Origin: *");
header('Access-Control-Allow-Methods: PUT, GET, POST, DELETE, OPTIONS');
header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept, Authorization");
header('content-type: application/json; charset=utf-8');

require_once 'classes/validaQRClass.php';
require_once 'classes/verificaAcces.php';




$_validarQR = new validarQR ;
$verificaToken= new verifica;


   

///////////////////////////////MÈTODE GET//////////////////////////////////////////////////

//Rep les dades des d'Arduino.

if($_SERVER['REQUEST_METHOD']=='GET'){

    if(isset($_GET['userId'])|| isset($_GET['codiQr'])|| isset($_GET['material'])){

        $userId=$_GET['userId'];
        $codiQr=$_GET['codiQr'];
        $material=$_GET['material'];
        //print_r ($userId);
        //print_r($codiQr);
        
        $dades=$_validarQR->validarArduino($userId,$codiQr,$material);
        if($dades){
           print_r(1);
        }else{
           print_r(0);
           
        }

        
    }

    
     
   
 ///////////////////////////////MÈTODE PUT//////////////////////////////////////////////////

}else if($_SERVER['REQUEST_METHOD']=='PUT'){

    $postBody=file_get_contents("php://input");
    $dadesForm=json_decode($postBody,true);
    //Verifica que el token enviat existeix en la base de dades.
    //$authToken=getallheaders()['authorization'];
    $authToken=$dadesForm['token'];
    $userId=$dadesForm['userId'];
    
    $resVerificaToken=$verificaToken->acces($authToken, $userId);

    //Si el token és correcte, busca el codi a la base de dades.
    if($resVerificaToken){

        $dades = $_validarQR->dadesQR($postBody);
        echo json_encode($dades,JSON_UNESCAPED_UNICODE); 
       


    }else{

        //Retorna missatge d'error.

        $error=array("missatge"=>"Identificació incorrecta", "status"=>"0");
        echo json_encode($error);


    }
    

}else{  

        $error=array("missatge"=>"El mètode utilitzat no és correcte", "status"=>"0");
        echo json_encode($error,JSON_UNESCAPED_UNICODE);  

}
    



?>