-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost
-- Tiempo de generación: 16-12-2021 a las 10:10:56
-- Versión del servidor: 8.0.27-0ubuntu0.20.04.1
-- Versión de PHP: 7.4.3

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `recicla`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `definitiva`
--

CREATE TABLE `definitiva` (
  `id` int NOT NULL,
  `codi` bigint NOT NULL,
  `userId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `descripcio` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `pes` float NOT NULL,
  `valor` float NOT NULL,
  `material` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `quantitat` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `definitiva`
--

INSERT INTO `definitiva` (`id`, `codi`, `userId`, `descripcio`, `pes`, `valor`, `material`, `quantitat`) VALUES
(19, 5, '34', 'Fusta', 1, 0.0001, 'Varis', '1'),
(20, 4, '33', 'Oli', 0.916, 0.0001, 'Varis', '1'),
(35, 1, '33', 'Paper i cartró (Sense codi)', 0.1, 0.05, 'Paper', '1'),
(36, 3, '33', 'Vidre (Sense codi)', 0.1, 0.05, 'Vidre', '1'),
(46, 2, '34', 'Plàstic (Sense codi)', 2.9, 0.29, 'Plàstic', '29'),
(47, 8437008459042, '34', 'Aigua Bronchales 2l', 4.32, 1.2, 'Plàstic', '12'),
(48, 8437008459059, '34', 'Aigua Bronchales 50cl', 4.32, 1.35, 'Plàstic', '27');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `generics`
--

CREATE TABLE `generics` (
  `codi` bigint NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `material` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `generics`
--

INSERT INTO `generics` (`codi`, `descripcio`, `material`) VALUES
(1, 'Paper i cartró (Sense codi)', 'Paper'),
(2, 'Plàstic (Sense codi)', 'Plàstic'),
(3, 'Vidre (Sense codi)', 'Vidre'),
(4, 'Oli', 'Varis'),
(5, 'Fusta', 'Varis'),
(6, 'Electrodomèstics', 'Varis');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `notificacions`
--

CREATE TABLE `notificacions` (
  `id` int NOT NULL,
  `userId` int NOT NULL,
  `titol` varchar(100) NOT NULL,
  `contingut` varchar(500) NOT NULL,
  `rebut` datetime NOT NULL,
  `llegit` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `notificacions`
--

INSERT INTO `notificacions` (`id`, `userId`, `titol`, `contingut`, `rebut`, `llegit`) VALUES
(3, 34, 'Activitats relacionades amb el reciclatge.', 'Aquest cap de setmana es portaran a terme diferents activitats relacionades amb el reciclatge i el medi ambient. Aquestes activitats es portaran a terme al parc fluvial de la localitat de Vilanova del Camí. Totes les activitats són gratuïtes. T\'esperem.', '2021-11-22 16:32:55', 'si'),
(4, 34, 'Taxes municipals de l\'any 2022.', 'Ja tens disponibles a la pàgina web del teu ajuntament les taxes municipals corresponents a la recollida de residus per l\'any 2022.\r\nAconsegueix les teves bonificacions mitjançant la utilització de l\'aplicació Recicla. ', '2021-11-22 16:32:55', 'si'),
(5, 33, 'Activitats relacionades amb el reciclatge.', 'Aquest cap de setmana es portaran a terme diferents activitats relacionades amb el reciclatge i el medi ambient. Aquestes activitats es portaran a terme al parc fluvial de la localitat de Vilanova del Camí. Totes les activitats són gratuïtes. T\'esperem.', '2021-11-22 16:32:55', 'si'),
(6, 33, 'Taxes municipals de l\'any 2022.', 'Ja tens disponibles a la pàgina web del teu ajuntament les taxes municipals corresponents a la recollida de residus per l\'any 2022.\r\nAconsegueix les teves bonificacions mitjançant la utilització de l\'aplicació Recicla. ', '2021-11-22 16:32:55', 'si'),
(7, 35, 'Taxes municipals de l\'any 2022.', 'Ja tens disponibles a la pàgina web del teu ajuntament les taxes municipals corresponents a la recollida de residus per l\'any 2022.\r\nAconsegueix les teves bonificacions mitjançant la utilització de l\'aplicació Recicla. ', '2021-11-22 16:32:55', 'no'),
(8, 35, 'Activitats relacionades amb el reciclatge.', 'Aquest cap de setmana es portaran a terme diferents activitats relacionades amb el reciclatge i el medi ambient. Aquestes activitats es portaran a terme al parc fluvial de la localitat de Vilanova del Camí. Totes les activitats són gratuïtes. T\'esperem.', '2021-11-22 16:32:55', 'no');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `productes`
--

CREATE TABLE `productes` (
  `id` int NOT NULL,
  `codi` bigint NOT NULL,
  `descripcio` varchar(50) NOT NULL,
  `pes` float NOT NULL,
  `material` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `productes`
--

INSERT INTO `productes` (`id`, `codi`, `descripcio`, `pes`, `material`) VALUES
(1, 8437008459059, 'Aigua Bronchales 50cl', 0.16, 'Plàstic'),
(2, 8437008459042, 'Aigua Bronchales 2l', 0.36, 'Plàstic'),
(5, 190653001865, 'Caixa petita Amazon', 0.1, 'Paper'),
(6, 8413080056027, 'Alcohol Nonalcol 500ml', 0.1, 'Plàstic'),
(7, 8480000772480, 'Alcohol Deliplus 250ml', 0.055, 'Plàstic');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `recuperarcontra`
--

CREATE TABLE `recuperarcontra` (
  `correu` varchar(50) NOT NULL,
  `validacio` varchar(11) NOT NULL,
  `data` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `recuperarcontra`
--

INSERT INTO `recuperarcontra` (`correu`, `validacio`, `data`) VALUES
('', '71149', '2021-11-24 11:12:00'),
('', '64972', '2021-12-02 13:26:00'),


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `taxes`
--

CREATE TABLE `taxes` (
  `id` int NOT NULL,
  `userId` varchar(50) NOT NULL,
  `concepte` varchar(200) NOT NULL,
  `taxa` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `taxes`
--

INSERT INTO `taxes` (`id`, `userId`, `concepte`, `taxa`) VALUES
(1, '33', 'Recollida escombraries municipals', '12'),
(2, '33', 'Recollides escombraries industrials', '20'),
(3, '34', 'Recollida escombraries municipals', '12'),
(4, '34', 'Recollides escombraries industrials', '20'),
(5, '35', 'Recollides escombraries industrials', '20'),
(6, '35', 'Recollida escombraries municipals', '12');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `temporal`
--

CREATE TABLE `temporal` (
  `id` int NOT NULL,
  `codi` bigint NOT NULL,
  `userId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `descripcio` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `pes` float NOT NULL,
  `valor` float NOT NULL,
  `material` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `quantitat` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `temporal`
--

INSERT INTO `temporal` (`id`, `codi`, `userId`, `descripcio`, `pes`, `valor`, `material`, `quantitat`) VALUES
(59, 8437008459059, '34', 'Aigua Bronchales 50cl', 2.08, 0.65, 'Plàstic', '13'),
(60, 3, '34', 'Vidre (Sense codi)', 0.4, 0.2, 'Vidre', '4'),
(61, 2, '34', 'Plàstic (Sense codi)', 0.1, 0.01, 'Plàstic', '1'),
(66, 4, '35', 'Oli', 0.916, 0.0001, 'Varis', '1'),
(67, 1, '35', 'Paper i cartró (Sense codi)', 0.1, 0.05, 'Paper', '1'),
(68, 8437008459059, '35', 'Aigua Bronchales 50cl', 0.16, 0.05, 'Plàstic', '1'),
(69, 3, '35', 'Vidre (Sense codi)', 0.1, 0.05, 'Vidre', '1'),
(75, 8437008459059, '33', 'Aigua Bronchales 50cl', 3.36, 0.2688, 'Plàstic', '21'),
(82, 3, '33', 'Vidre (Sense codi)', 0.323, 0.0323, 'Vidre', '2');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tokens`
--

CREATE TABLE `tokens` (
  `userId` varchar(50) NOT NULL,
  `token` varchar(255) NOT NULL,
  `data` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `tokens`
--

INSERT INTO `tokens` (`userId`, `token`, `data`) VALUES
('33', 'd7cd07f6ba83476a0c15079422e97171', '2021-12-16 10:02:00'),
('34', 'a591744748c4569346e04dc6875a35be', '2021-12-05 18:24:00'),
('35', '65b55ae27034c35f7b4a56bb3c454c21', '2021-12-06 20:30:00');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuaris`
--

CREATE TABLE `usuaris` (
  `userId` int NOT NULL,
  `nif` varchar(11) NOT NULL,
  `nom` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `cognom1` varchar(20) NOT NULL,
  `cognom2` varchar(20) NOT NULL,
  `adre` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `cpostal` varchar(11) NOT NULL,
  `contra` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `correu` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `usuaris`
--

INSERT INTO `usuaris` (`userId`, `nif`, `nom`, `cognom1`, `cognom2`, `adre`, `cpostal`, `contra`, `correu`) VALUES
(33, '12345678A', 'usuari1', 'cognom1', 'cognom2', 'carrer1', '08788', '$2y$10$iDbCA0dEi5cqosYXKBTMres5dYKceektcFIH6XQpI883YiWTYpclC', ''),
(34, '12345678A', 'Usuari2', 'Usuari2', 'Usuari2', 'Carrer2', '08700', '$2y$10$iOz1//G6ra9a3XgAkGETReoQ44RabYw5UwjRZksBpmKzQsIbZpoHm', ''),
(35, '12345678A', 'asdf', 'asdf', 'asdf', 'asdf', '08700', '$2y$10$68niyK3GN/K8AalJfptWB.d0thVbaVlJR/Xes7i9.l6vEKReSOkGi', '');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuariscorreu`
--

CREATE TABLE `usuariscorreu` (
  `correu` varchar(50) NOT NULL,
  `validacio` varchar(11) NOT NULL,
  `data` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `usuariscorreu`
--

INSERT INTO `usuariscorreu` (`correu`, `validacio`, `data`) VALUES
('', '53625', '2021-11-21 09:35:00'),
('', '51631', '2021-12-06 20:15:00');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `validarqr`
--

CREATE TABLE `validarqr` (
  `id` int NOT NULL,
  `userId` varchar(50) NOT NULL,
  `codiQR` varchar(50) NOT NULL,
  `material` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `validarqr`
--

INSERT INTO `validarqr` (`id`, `userId`, `codiQR`, `material`) VALUES
(19, '34', '69698', 'Varis'),
(20, '34', '13814', 'Paper'),
(23, '34', '61805', 'Plastic'),
(24, '33', '18631', 'Plastic'),
(25, '35', '96260', 'Plastic'),
(26, '35', '83885', 'Paper'),
(27, '33', '28362', 'Paper');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `valors`
--

CREATE TABLE `valors` (
  `material` varchar(11) NOT NULL,
  `valor` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;

--
-- Volcado de datos para la tabla `valors`
--

INSERT INTO `valors` (`material`, `valor`) VALUES
('Paper', 0.02),
('Plàstic', 0.08),
('Varis', 0.05),
('Vidre', 0.1);

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `definitiva`
--
ALTER TABLE `definitiva`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `codi` (`codi`);

--
-- Indices de la tabla `generics`
--
ALTER TABLE `generics`
  ADD PRIMARY KEY (`codi`);

--
-- Indices de la tabla `notificacions`
--
ALTER TABLE `notificacions`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `productes`
--
ALTER TABLE `productes`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `recuperarcontra`
--
ALTER TABLE `recuperarcontra`
  ADD UNIQUE KEY `correu` (`correu`);

--
-- Indices de la tabla `taxes`
--
ALTER TABLE `taxes`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `temporal`
--
ALTER TABLE `temporal`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `tokens`
--
ALTER TABLE `tokens`
  ADD UNIQUE KEY `userId` (`userId`);

--
-- Indices de la tabla `usuaris`
--
ALTER TABLE `usuaris`
  ADD PRIMARY KEY (`userId`),
  ADD UNIQUE KEY `correu` (`correu`);

--
-- Indices de la tabla `usuariscorreu`
--
ALTER TABLE `usuariscorreu`
  ADD UNIQUE KEY `correu` (`correu`);

--
-- Indices de la tabla `validarqr`
--
ALTER TABLE `validarqr`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `valors`
--
ALTER TABLE `valors`
  ADD PRIMARY KEY (`material`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `definitiva`
--
ALTER TABLE `definitiva`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=49;

--
-- AUTO_INCREMENT de la tabla `generics`
--
ALTER TABLE `generics`
  MODIFY `codi` bigint NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT de la tabla `notificacions`
--
ALTER TABLE `notificacions`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT de la tabla `productes`
--
ALTER TABLE `productes`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT de la tabla `taxes`
--
ALTER TABLE `taxes`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT de la tabla `temporal`
--
ALTER TABLE `temporal`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=85;

--
-- AUTO_INCREMENT de la tabla `usuaris`
--
ALTER TABLE `usuaris`
  MODIFY `userId` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=36;

--
-- AUTO_INCREMENT de la tabla `validarqr`
--
ALTER TABLE `validarqr`
  MODIFY `id` int NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=28;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
