import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class ContacteService {
  api = environment.apiConnexio + 'correu.php';

  constructor(private http: HttpClient) {}

  //Mètode POST que crida a l'API per enviar formulari de contacte.

  postContacte(form: any): Observable<any> {
    return this.http.post(this.api, form);
  }
}
