import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class ManualService {
  api = environment.apiConnexio + 'generics.php';

  constructor(private http: HttpClient) {}

  //Mètode GET que crida a l'API per enviar el codi i rebre les dades associades a aquest.

  getGenerics(codi: any): Observable<any> {
    return this.http.get(this.api + '?codi=' + codi);
  }

  //Mètode POST que crida a l'API per enviar el material i rebre les dades associades a aquest.

  postGenerics(form: any): Observable<any> {
    return this.http.post(this.api, form);
  }
}
