import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class ModContraService {
  api = environment.apiConnexio + 'modContra.php';

  constructor(private http: HttpClient) {}

  //Funció que crida a l'API amb el codi de validació.

  postValidacio(form: any): Observable<any> {
    return this.http.post(this.api, form);
  }

  //Funció que envia a l'API les dades de la nova contrasenya.

  putValidacio(form: any): Observable<any> {
    return this.http.put(this.api, form);
  }
}
