import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class ProductesService {
  api = environment.apiConnexio + 'productes.php';
  codi = '';
  radioMaterial = '';

  constructor(private http: HttpClient) {}

  //Funció que envia el codi resultant de l'escaneig a l'API.
  enviarCodi(codi: any): Observable<any> {
    console.log(codi);
    return this.http.post(this.api, codi);
  }
}
