import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class SessioService {
  api = environment.apiConnexio + 'auth.php';
  openMenu = false;

  constructor(private http: HttpClient) {}

  //Mètode POST que crida a l'API per iniciar sessió.

  postSessio(form: any): Observable<any> {
    return this.http.post(this.api, form);
  }
}
