import { Injectable } from '@angular/core';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root',
})
export class TaxesService {
  api = environment.apiConnexio + 'taxes.php';

  constructor(private http: HttpClient) {}

  //Mètode POST que crida a l'API per rebre les taxes associades a l'usuari connectat.

  postTaxes(): Observable<any> {
    return this.http.post(this.api, '');
  }
}
